C++ Utilities: ConversionTests Class Reference

C++ Utilities 5.32.1 Useful C++ classes and routines such as argument parser, IO and conversion utilities

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ConversionTests Class Reference

The ConversionTests class tests classes and functions provided by the files inside the conversion directory. More...

Inheritance diagram for ConversionTests:
[legend]
Collaboration diagram for ConversionTests:
[legend]

## Public Member Functions
| ConversionTests ()
void | setUp ()
void | tearDown ()
void | testConversionException ()
void | testEndianness ()
| Tests whether macros for endianness are correct.
void | testBinaryConversions ()
| Tests most important binary conversions.
void | testSwapOrderFunctions ()
| Tests swap order functions.
void | testStringEncodingConversions ()
| Tests string encoding conversions.
void | testStringConversions ()
| Tests miscellaneous string conversions.
void | testStringBuilder ()

## Detailed Description

The ConversionTests class tests classes and functions provided by the files inside the conversion directory.

Definition at line 37 of file conversiontests.cpp.

## Constructor & Destructor Documentation

## ◆ ConversionTests()

ConversionTests::ConversionTests | ( |  | ) |

Definition at line 77 of file conversiontests.cpp.

## Member Function Documentation

## ◆ setUp()

void ConversionTests::setUp | ( |  | ) |
| inline

Definition at line 51 of file conversiontests.cpp.

## ◆ tearDown()

void ConversionTests::tearDown | ( |  | ) |
| inline

Definition at line 54 of file conversiontests.cpp.

## ◆ testBinaryConversions()

void ConversionTests::testBinaryConversions | ( |  | ) |

Tests most important binary conversions.

Tests toUInt16(), ... toUInt64(), toInt16(), ... toInt64() and the inverse getBytes() functions with random numbers.

Definition at line 146 of file conversiontests.cpp.

## ◆ testConversionException()

void ConversionTests::testConversionException | ( |  | ) |

Definition at line 83 of file conversiontests.cpp.

## ◆ testEndianness()

void ConversionTests::testEndianness | ( |  | ) |

Tests whether macros for endianness are correct.

Definition at line 91 of file conversiontests.cpp.

## ◆ testStringBuilder()

void ConversionTests::testStringBuilder | ( |  | ) |

Definition at line 429 of file conversiontests.cpp.

## ◆ testStringConversions()

void ConversionTests::testStringConversions | ( |  | ) |

Tests miscellaneous string conversions.

Definition at line 252 of file conversiontests.cpp.

## ◆ testStringEncodingConversions()

void ConversionTests::testStringEncodingConversions | ( |  | ) |

Tests string encoding conversions.

Definition at line 213 of file conversiontests.cpp.

## ◆ testSwapOrderFunctions()

void ConversionTests::testSwapOrderFunctions | ( |  | ) |

Tests swap order functions.

Definition at line 170 of file conversiontests.cpp.

The documentation for this class was generated from the following file:

- tests/conversiontests.cpp